var counter = 0;
var maxRetries = 100;
var db = orient.getDatabase();
while (true) {
    try {
      db.begin();
      db.command('UPDATE TEST SET value=1');
      db.commit();
      break;
    }
    catch (err) {
      db.rollback();
      if (err && err.getClass && err.getClass().getSuperclass().getSimpleName() === 'ONeedRetryException') {
        // we got a OConcurrentModificationError, we therefore retry the transaction
        // until the commit was successful or the maxRetries have exceeded
        if (counter < maxRetries) {
          print(err + ' -- Retrying... (' + counter + '/' + maxRetries + ')');
        }
        else {
          throw new Error('Giving up after ' + maxRetries + ' retries. This should happen very rarely');
        }
      }
      else {
        // TODO: handle other cases here
        throw err;
      }
    }
    counter++;
}